package ru.ulstu.aspirant.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.aspirant.model.Report;
import ru.ulstu.aspirant.service.AspirantService;
import ru.ulstu.indicator.model.Indicator;

import java.util.List;

@Controller
@RequestMapping("aspirant")
public class AspirantController {
    private final AspirantService aspirantService;

    public AspirantController(AspirantService aspirantService) {
        this.aspirantService = aspirantService;
    }

    @GetMapping("aspirantReport")
    public String createReport(Model model) {
        List<Indicator> indicators = aspirantService.getIndicatorsByCourse();
        model.addAttribute("indicators", indicators);
        model.addAttribute("report", new Report());
        return "aspirant/editReport";
    }
}
